<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <header>
    <button onclick="topFunction()" id="myBtn" title="Go to top">Return to Top</button>
    <!-- @* ================ TOP PART (Above Menu) ================ *@ -->
    <div id="header-full" class="background-noise" style="padding: 5px;">
      <div class="wrap">
        <ul class="head">
          <li>
            <a href="">
              <img src="{{hostUrl}}/assets/img/logo.png" alt="Homepage" title="vPopulus">
            </a>
          </li>
          <li>
          </li>
          <li>
            <ul class="dd smaller">
              <li class="lang-select">
                <a href="#" style="padding-right: 12px;"><img
                    src="{{hostUrl}}/assets/img/fla/s/@(Model.CurrentLanguage.flag).png" /> <span class="right"
                    style="color: #fff; padding-top: 2px;">&#9660;</span></a>
                <ul class="choose-cou" style="width: 160px;">
                  <!-- @foreach (var culture in Model.Languages) -->
                  <!-- { -->
                  <li>
                    <!-- <a href="@Url.Action("SetLanguage", "Home", new { language = culture.languageCode })" style="color:#555;"> -->
                    <img src="{{hostUrl}}/assets/img/fla/s/@(culture.flag).png">@culture.name
                    <!-- </a> -->
                  </li>
                  <!-- } -->
                </ul>
              </li>
            </ul>
          </li>
          <li class="search-and-logout">
            <input id="searchBar" class="search-bar" type="search" name="q" value="" placeholder="Search...">
            <input id="search" type="submit" style="display: none;">
            <a style="color: #27476d; font-weight: 550;">
              @I18N.Core.Helper.I18N.GetText("Common.DayX", DateTimeHelper.GameDay(DateTime.Now))
              Time @DateTime.Now.ToString("HH:mm")
            </a>
            <a href="" class="darkGreyButton small full-button">{{"General.Menu.Logout" | translate }}</a>
          </li>
        </ul>
      </div>
    </div>

    <!-- @* ================ GO TOP BTN + MOBILE MENU SCRIPT ================ *@ -->
    <!-- <script>
        // When the user scrolls down 20px from the top of the document, show the button
        window.onscroll = function () { scrollFunction() };

        function scrollFunction() {
            if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
                document.getElementById("myBtn").style.display = "block";
            } else {
                document.getElementById("myBtn").style.display = "none";
            }
        }

        // When the user clicks on the button, scroll to the top of the document
        function topFunction() {
            document.body.scrollTop = 0;
            document.documentElement.scrollTop = 0;
        }
        $('#redirectToHomepage').click(function () {
            window.location.href = '/';
        });

        function openNavu() {
            document.getElementById("mySidenavu").style.width = "250px";
            document.getElementById("main").style.marginLeft = "250px";
            document.body.style.backgroundColor = "rgba(0,0,0,0.4)";
        }

        function closeNavu() {
            document.getElementById("mySidenavu").style.width = "0";
            document.getElementById("main").style.marginLeft = "0";
            document.body.style.backgroundColor = "white";
        }
        function openNavm() {
            document.getElementById("mySidenavm").style.width = "250px";
            document.getElementById("main").style.marginRight = "250px";
            document.body.style.backgroundColor = "rgba(0,0,0,0.4)";
        }

        function closeNavm() {
            document.getElementById("mySidenavm").style.width = "0";
            document.getElementById("main").style.marginRight = "0";
            document.body.style.backgroundColor = "white";
        }
    </script> -->
  </header>
</nz-spin>
<!-- @* ================ SIDE BAR USER ================ *@ -->
<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div id="main-content">

    <div class="wrap">
      <div class="content-box background-noise">


      </div>
    </div>
  </div>
</nz-spin>
<!-- <script src="~/lib/@@aspnet/signalr/dist/browser/signalr.js"></script>
<script>
    // NEW
    var connection = new signalR.HubConnectionBuilder().withUrl("@(Config.ApiUrl)/mainHub").build();
    connection.start().catch(function (err) {
        return console.error(err.toString());
    }).then(function () {
        connection.send("PlayerConnected", '@(new vPopulus.Services.Backend.ApiService().GetRemoteToken(Context.Session.GetCurrentEntityType(), Context.Session.GetCurrentEntityId(), Context.Session.GetOriginalEntityId()))');
    });

    connection.on("updateWellness", function (text) {
        console.log('updated', text);
        $('.hp-value').html(text);
        $('.hp-contain').html('<div class="hp" title="' + text + '" style="width:' + text + '%"></div>');
    });
</script> -->